# SourcePath: gpm/20170123dev
Summary: General Purpose Mouse Interface
Name: sony-target-dev-gpm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gpm
Version: 1.20.7
Release: 14020101
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://ftp.schottelius.org/pub/linux/gpm
Source: gpm-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define targetroot %{sony_target_dir}

%define _bindir		%{targetroot}%{sony_target_dev_bin_dir}
%define _sbindir	%{targetroot}%{sony_target_dev_sbin_dir}
%define _etcdir		%{targetroot}%{sony_target_dev_sysconf_dir}
%define _libdir		%{targetroot}%{sony_target_dev_lib_dir}
%define _includedir	%{targetroot}%{sony_target_dev_include_dir}
%define _infodir	%{targetroot}%{sony_target_dev_info_dir}
%define _mandir		%{targetroot}%{sony_target_dev_man_dir}
%define _docdir		%{targetroot}%{sony_target_dev_doc_dir}

%description
This package provides a daemon that listens to the mouse when the
console is displayed, and delivers them to applications.

The default when no application is running is to emulate
"selection", i.e. allow cut-and-paste with the mouse on the
console the same way as under X.

%package -n %{pkgname}
Summary: General Purpose Mouse Interface
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package provides a daemon that listens to the mouse when the
console is displayed, and delivers them to applications.

The default when no application is running is to emulate
"selection", i.e. allow cut-and-paste with the mouse on the
console the same way as under X.

%prep
%setup -q -n gpm-%{version}

%build
%sony_target_dev_setup

#cd build-tree/gpm-%{version}
CFLAGS="-g -O2 -Wall -D_REENTRANT"
./autogen.sh 
./configure --prefix=%{sony_target_dev_prefix} --host=%{sony_host_config} --target=%{sony_target_config}
autoconf
make
# Remove the compilation parts of the FAQ
cd doc/; sed '15,40d' < FAQ > faq

%install
%sony_target_dev_setup
rm -rf %{buildroot}
install -d %{buildroot}

### for i in %{_bindir} %{_sbindir} %{_includedir} %{_etcdir}/init.d \
for i in %{_bindir} %{_sbindir} %{_includedir} \
	%{_libdir} %{_mandir}/man{1,8} %{_infodir} ; do
    install -d %{buildroot}$i
done 

### install -m 755 debian/gpm.init %{buildroot}%{_etcdir}/init.d/gpm
#install -m 755 debian/gpmconfig %{buildroot}%{_sbindir}/gpmconfig
#install -m 644 debian/gpmconfig.8 %{buildroot}%{_mandir}/man8/

#cd gpm-%{version}

mv src/lib/libgpm.so.2.1.0 src/lib/libgpm.so.1.20.7
install -m 755 src/gpm %{buildroot}%{_sbindir}/gpm
install -m 755 src/prog/mouse-test %{buildroot}%{_sbindir}/gpm-mouse-test
#install -m 755 src/microtouch-setup %{buildroot}%{_sbindir}/gpm-microtouch-setup
#install -m 755 src/mev %{buildroot}%{_bindir}/
#install -m 755 src/gpm-root %{buildroot}%{_bindir}/
#install -m 644 src/gpm-root.conf %{buildroot}/%{_etcdir}/gpm-root.conf 

install -m 644 src/headers/gpm.h %{buildroot}%{_includedir}/gpm.h

install -m 644 src/lib/libgpm.a %{buildroot}%{_libdir}/libgpm.a
install -m 644 src/lib/libgpm.so.%{version} %{buildroot}%{_libdir}/
ln -s libgpm.so.%{version} %{buildroot}%{_libdir}/libgpm.so.1
ln -s libgpm.so.%{version} %{buildroot}%{_libdir}/libgpm.so.2
ln -s libgpm.so.1 %{buildroot}%{_libdir}/libgpm.so

#install -m 644 doc/gpm-root.1 %{buildroot}%{_mandir}/man1/gpm-root.1
install -m 644 doc/gpm.8 %{buildroot}%{_mandir}/man8/gpm.8

sed -e "s/mouse-test/gpm-mouse-test/g" < doc/mouse-test.1 \
	> %{buildroot}%{_mandir}/man8/gpm-mouse-test.8

#install -m 644 doc/gpm.info %{buildroot}%{_infodir}

#gzip -9f %{buildroot}%{_mandir}/man*/* %{buildroot}%{_infodir}/*.info*

rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_infodir}

# 6.x
#mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
#mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}/*-config \
#        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
#rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
#mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
#        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/gpm.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgpm.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgpm.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgpm.so.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgpm.so.2
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgpm.so.1.20.7
%{sony_target_dir}%{sony_target_dev_sbin_dir}/gpm
%{sony_target_dir}%{sony_target_dev_sbin_dir}/gpm-mouse-test

%{sony_target_dir}%{sony_target_devtool_lib_dir}/libgpm.a

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 17 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Jan 23 2017 Sony Corporation
- version up to gpm 1.20.7

* Tue Jul 13 2010 Sony Corporation
- Removed CE-3.X, CE-4.X, CE-5.0, CE6.0 support for main trunk

* Wed Apr 13 2009 Sony Corporation
- CE-6.X: Added struct ucred patch

* Thu Mar 13 2007 Sony Corporation
- CE-5.X: Added kerenl 2.6.23 patch

* Tue Mar 06 2007 Sony Corporation
- Version update 1.20.1

* Fri Apr 14 2006 Sony Corporation
- added joystick unsupport patch.

* Tue Feb 1 2005 Sony Corporation
- delete init.d script

* Wed Nov 17 2004 Sony Corporation
- delete online manual

* Wed Oct 27 2004 Sony Corporation - 1.19.6-1
- modify for error: label at end of compound statement
  @ gpm-1.19.6/build-tree/gpm-1.19.6/src/{synaptics.c,gpm-root.y}

* Fri Aug 27 2004 Sony Corporation - 1.19.6-1
- Conformed to 20040825-rule

* Tue Aug 17 2004 Sony Corporation - dev-gpm
- Initial build.
